/*
control de brillo de leds a través de una señal PWM
conectamos los leds a los pines pwm: 3, 5, 6 y 10
conectamos el potenciómetro al pin A0
*/

int L3=3, L5=5, L6=6, L10=10;
int pot = A0;
int valorPot;

void setup() {
  pinMode(L3, OUTPUT);
  pinMode(L5, OUTPUT);
  pinMode(L6, OUTPUT);
  pinMode(L10, OUTPUT);

}

void loop() {
  //leemos el potenciómetro
  valorPot = analogRead(pot);

  //mapeamos valorPot (0 y 1023) a valores entre 0 y 255
  //para poder generar la señal PWM

  int valorPWM = map(valorPot, 0, 1023, 0, 255);

  //encedemos los leds con una señal PWM
  analogWrite(L3, valorPWM);
  analogWrite(L5, valorPWM);
  analogWrite(L6, valorPWM);
  analogWrite(L10, valorPWM);

}
