#include <rgb_lcd.h>

// declaramos un objeto tipo rgb_lcd y lo llamamos pantalla
rgb_lcd pantalla;

//variables para el potenciómetro
int pot=A0;
int valorPot;


void setup() {
  // inicializamos el objeto pantalla rgb_lcd
  pantalla.begin(16, 2);

  //borramos el contenido de la pantalla
  pantalla.clear();

  //configuramos el color de fondo de la pantalla
  pantalla.setRGB(0, 0, 0);  //fondo verde

}

void loop() {
  // leemos el potenciómetro
  valorPot = analogRead(pot);

  //imprimimos el valor del potenciómetro en la pantalla lcd
  pantalla.clear();

  if (valorPot < 512){
    pantalla.setRGB(0, 0, 0);
    pantalla.print("Pot: ");
    pantalla.print(valorPot);
    pantalla.setCursor(0, 1);
    pantalla.print("negro");
  }else{
    pantalla.setRGB(255, 255, 255);
    pantalla.print("Pot: ");
    pantalla.print(valorPot);
    pantalla.setCursor(0, 1);
    pantalla.print("blanco");
  }
 
  
  delay(200);

}
