float temperatura(int sensorPin){
  const int B = 4275;               // B value of the thermistor
  const int R0 = 100000;            // R0 = 100k
  
  int a = analogRead(sensorPin);
  float R = 1023.0/a-1.0;
  R = R0*R;
  float t = 1.0/(log(R/R0)/B+1/298.15)-273.15;
  return t;

}
